import * as React from 'react';
import { IgrSplineFragmentBase, IIgrSplineFragmentBaseProps } from "./igr-spline-fragment-base";
import { SplineFragment } from "./SplineFragment";
/**
 * Represents one part of a StackedSplineSeries.
*/
export declare class IgrSplineFragment extends IgrSplineFragmentBase<IIgrSplineFragmentProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): SplineFragment;
    /**
                                 * @hidden
                                 */
    get i(): SplineFragment;
    constructor(props: IIgrSplineFragmentProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows a spline shape.
    */
    get isSpline(): boolean;
    /**
     * Gets whether the current series shows an area or line shape.
    */
    get isAreaOrLine(): boolean;
}
export interface IIgrSplineFragmentProps extends IIgrSplineFragmentBaseProps {
}
